Skip to main content
PUT
Python (SDK)

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Path Parameters

org_id
string
required
Required string length: 1 - 255

Body

application/json
enabled
boolean
required

Enroll the organization in the cluster default (true) or remove it (false)

Response

200 - application/json

OK

object
any
required
org_id
string
required
enabled
boolean
required

Whether the organization is enrolled in the cluster default. Organizations created before the cluster default existed are not enrolled until a cluster admin enrolls them.

applies
boolean
required

Whether the cluster default is enforced on the organization now: it is enrolled and the cluster switch is on

updated_by
string | null
required

Who last changed the enrollment; null if it was never set

updated_at
string<date-time> | null
required

When the enrollment was last changed; null if it was never set